##parameters=psm=None
# $Id: temporary_view_all.py 166 2005-11-12 14:45:08Z joachim $

"""Default view for the forum. If post_id is not None, post with id = <post_id>
will be displayed, otherwise first post will be displayed."""

member = context.portal_membership.getAuthenticatedMember()
uname = str(member)
roles = member.getRoles()
cat = context.portal_catalog
request = context.REQUEST
url0 = request.get('URL0')
if context.portal_membership.isAnonymousUser():
    return context.temporary_view_all_form(psm=psm)
else:
    if url0.find(uname) > 0 or 'UniversityManager' in roles:
        return context.temporary_view_all_form(psm=psm)
    elif 'Student' in roles:
        res = cat(id=uname)
        if len(res) > 0:
            return res[0].getObject().temporary_view_all_form(psm=psm)
        return context.temporary_view_all_form(psm=psm)
